#!/bin/bash

webDir="html"

localConf="$webDir/typo3conf/LocalConfiguration.php"
addConf="$webDir/typo3conf/AdditionalConfiguration.php"
serverConf="$webDir/local/config/server-environment.php"

##
##  Get database credentials from TYPO3 configuration into $db_dbname, $db_host, $db_password, $db_user and optionally $db_port
##
for varname in dbname host password user port
do
  value=`php -r '$GLOBALS["TYPO3_CONF_VARS"] = file_exists("'$localConf'") ? @include("'$localConf'") : []; @include("'$serverConf'"); echo @$GLOBALS["TYPO3_CONF_VARS"]["DB"]["Connections"]["Default"]["'$varname'"];'`
  # Escaping value with \$ allows values with spaces and control characters, \$ will be evaluated by eval
  eval db_$varname=\$value
  # echo for debugging purposes:
  variable=db_$varname
  if [[ $varname == *"passw"* ]]; then
    echo "$variable = ******"
  else
    echo "$variable = ${!variable}"
  fi
done

if [ -z "$db_port" ]; then db_port=3306; fi

if [ -z "$db_dbname" ] || [ -z "$db_host" ] || [ -z "$db_password" ] || [ -z "$db_user" ]
then
  echo "Error, database credentials could not be read"; exit 1;
fi

##
##  Get [TYPO3_CONF_VARS][SYS] for createGroup, fileCreateMask, and folderCreateMask and store them in $sys_createGroup etc.
##
for varname in createGroup fileCreateMask folderCreateMask
do
  value=`php -r '$GLOBALS["TYPO3_CONF_VARS"] = file_exists("'$localConf'") ? @include("'$localConf'") : []; @include("'$serverConf'"); echo @$GLOBALS["TYPO3_CONF_VARS"]["SYS"]["'$varname'"];'`
  # Escaping value with \$ allows values with spaces and control characters, \$ will be evaluated by eval
  eval sys_$varname=\$value
  # echo for debugging purposes:
  variable=sys_$varname && echo "$variable = ${!variable}"
done

if [ -z "$sys_fileCreateMask" ]; then sys_fileCreateMask=664; fi
if [ -z "$sys_folderCreateMask" ]; then sys_folderCreateMask=2775; fi

echo
