#!/bin/bash

###
### Initialize project
###

projectPath="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd .. && pwd )"

source Installer/BaseFunctions.sh
source Installer/Permissions.sh
source Installer/SassFunctions.sh
source Installer/GetTypo3Config.sh
source Installer/DatabaseFunctions.sh
source Installer/Migrations.sh


#
#   Check if composer or composer.phar can be found
#

printheader "Check for composer and sass executables"

# List the possible names for the composer executable, if necessary with full path
run findExecutableAlias composer composer.phar
composerPath="$executablePath"

run findExecutableAlias sass "$projectPath/bin/dart-sass/sass"
sassPath="$executablePath"

# Define replacement functions including error handling
function composer {
# Albert 26-1-24 i.v.m. php versie
    run php8.2  -f /usr/local/bin/composer "$@"  
#    run $composerPath "$@"
}

function sass {
    run $sassPath "$@"
}
