#!/bin/bash

# Set group and permissions on <dirname> recursively, using group and permissions from TYPO3_CONF_VARS
# Allow changes recursively, even if directory itself is a symlink to a directory
# Usage:
#   setPermissions <dirname>
function setPermissions {
    printheader "Set ownership and permissions for $1"

    # If "$1" is a symlinked directory, replace with "$1/." (because chgrp and find won't follow the symlink)
    if [[ -L "$1" && -d "$1" ]] ; then
      dir="$1/."
    else
      dir="$1"
    fi

    if [ -e "$dir" ]; then
      runnoexit chgrp -fR $sys_createGroup "$dir"
      runnoexit find "$dir" -type f -exec chmod -f $sys_fileCreateMask {} \;
      runnoexit find "$dir" -type d -exec chmod -f $sys_folderCreateMask {} \;
    else
      echo -e "File or directory $dir not found!"
    fi
}
