<?php
$additionalConfiguration = [
	'BE' => [
		'debug' => true,
		'sessionTimeout' => '172800',
        'installToolPassword' => '$pbkdf2-sha256$25000$U2oKGtCHZs1HYsMoJn.kZA$TVmAlzgu1qN3wgRYb/7pGOGNwqyqKq6b9eFP.bt6ovs',
	],
    'DB' => [
        'Connections' => [
            'Default' => [
                'charset' => 'utf8',
                'dbname' => 'theballandi_com',
                'driver' => 'mysqli',
                'host' => '127.0.0.1',
                'password' => '',
                'port' => 3306,
                'user' => 'theballandi_com',
            ],
        ],
    ],
    'EXTENSIONS' => [
        'configure_site' => [
            'baseDomain' => 'https://*.theballandi.com/',
        ],
    ],
	'FE' => [
        'debug' => true,
		// Show an error with the reason of the 404, if there is one
		'pageNotFound_handling' => true,
	],
	'SYS' => [
		'devIPmask' => '*',
		'displayErrors' => 1,
		'enableDeprecationLog' => 'file',
        'exceptionalErrors' => 12290,

        /**
         * 1: show only failed queries
         * 2: show all queries
         */
		'sqlDebug' => 1,

        /**
         * 0: info
         * 1: notice
         * 2: warning
         * 3: error
         * 4: fatal error
         */
        'systemLogLevel' => 0,
        'setMemoryLimit' => 4096
	],
    'MAIL' => [
        'defaultMailFromAddress' => 'info@theballandi.com',
        'defaultMailFromName' => 'The Ball And I',
        'substituteOldMailAPI' => '0',

        /**
         * 16-1-24 tijdelijk mbox, zodat mail lokaal blijft, niet naar externe adressen verstuurd
        */
        //'transport' => 'mbox',
        //'transport_mbox_file' => '/home/tessavanderwaals.nl/home/var/log/mbox.txt',
        'transport_sendmail_command' => '/usr/sbin/sendmail -t -i ',
        'transport_smtp_encrypt' => false,
        'transport_smtp_password' => '',
        'transport_smtp_server' => 'mail.albertvanderveen.nl:587',
        'transport_smtp_username' => 'albert.albertvanderveen.nl',
    ],
];


$GLOBALS['TYPO3_CONF_VARS'] = array_replace_recursive($GLOBALS['TYPO3_CONF_VARS'], $additionalConfiguration);
